List attribute strings
get
/api/categories/attribute_strings Retrieves the collection of Attribute String resources.
Returns a paginated collection of attribute strings in the current organization.
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Flowkiwi-Locale | string | - | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page | integer | - | The collection page number |
itemsPerPage | integer | - | The number of items per page |
Response
200 - Attribute String collection
| Property | Type | Required | Description | ||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
totalItems | integer | - | |||||||||||||||||||||||||||||||||||||||||||||
search | object | - | |||||||||||||||||||||||||||||||||||||||||||||
Show | |||||||||||||||||||||||||||||||||||||||||||||||
| Property | Type | Required | Description | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
@type | string | - | |||||||||||||||||||||
template | string | - | |||||||||||||||||||||
variableRepresentation | string | - | |||||||||||||||||||||
mapping | object[] | - | |||||||||||||||||||||
Show | |||||||||||||||||||||||
| Property | Type | Required | Description |
|---|---|---|---|
@type | string | - | |
variable | string | - | |
property | string | null | - | |
required | boolean | - |
viewobjectShow view fields
| Property | Type | Required | Description |
|---|---|---|---|
@id | string | - | |
@type | string | - | |
first | string | null | - | |
last | string | null | - | |
previous | string | null | - | |
next | string | null | - |
memberAttribute.String[]Show member fields
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
id | string | - | The resource's unique identifier (UUID). |
name | string | null | - | This property supports translations. The name of the attribute |
categories | string[] | - | A list of Category, each one representing a category associated with the attribute list. |
No properties.
Errors
403 - Access denied. The caller is missing one or more identity permissions required for this operation.
Content-Type: application/problem+json
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
type | string | - | |
title | string | - | |
status | integer | - | |
detail | string | - | |
missingPermissions | string[] | - | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |